%define upstream_name    Code-TidyAll-Plugin-ClangFormat
%define upstream_version 0.0.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Run clang-format using Code::TidyAll
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Code/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Code::TidyAll::Plugin)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moo)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This speeds up the clang-format tool ( the
https://clang.llvm.org/docs/ClangFormat.html manpage) checking and
reformatting, by caching results using the Code::TidyAll manpage .

It was originally written for use by Freecell Solver ( the
https://fc-solve.shlomifish.org/ manpage ), an open source automated solver
for some variants of Patience / card solitaire. games.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.0.2-2.mga9
+ Revision: 1820436
- Mageia 9 Mass Rebuild

* Fri Oct 23 2020 tv <tv> 0.0.2-1.mga8
+ Revision: 1638697
- update to 0.0.2

* Fri Feb 14 2020 umeabot <umeabot> 0.0.1-2.mga8
+ Revision: 1522341
- Mageia 8 Mass Rebuild

* Thu Jan 24 2019 shlomif <shlomif> 0.0.1-1.mga7
+ Revision: 1360480
- imported package perl-Code-TidyAll-Plugin-ClangFormat


* Thu Jan 24 2019 cpan2dist 0.0.1-1mga
- initial mageia release, generated with cpan2dist
